Package org.apache.sling.discovery.impl.support

## Class MetricReporter

- java.lang.Object
- - org.apache.sling.discovery.impl.support.MetricReporter

All Implemented Interfaces:
  `org.apache.sling.discovery.TopologyEventListener`

    public class MetricReporter
    extends Object
    implements org.apache.sling.discovery.TopologyEventListener

MetricReporter is in charge of listening to TopologyEvents (by virtue of being a TopologyEventListener) and exposing metrics (via dropwizard).

### Constructor Summary

Constructors
`MetricReporter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate()`
`protected void` `deactivate()`
`void` `handleTopologyEvent​(org.apache.sling.discovery.TopologyEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetricReporter

    public MetricReporter()

### Method Detail

#### activate

    protected void activate()

#### deactivate

    protected void deactivate()

#### handleTopologyEvent

    public void handleTopologyEvent​(org.apache.sling.discovery.TopologyEvent event)

Specified by:
  `handleTopologyEvent` in interface `org.apache.sling.discovery.TopologyEventListener`